<div class="container">
    <form [formGroup]="cardForm" class="form">
        <div class="page-title">
            New receipt
        </div>
        <div class="title-input">
            <mat-form-field class="full-width">
                <label for="cardCreate-titleInput">
                    <input #cardTitle id="cardCreate-titleInput" matInput placeholder="Enter its name" formControlName="title" minlength="1" maxlength="23">
                </label>
                <mat-hint align="end">{{cardTitle.value.length}} / 23</mat-hint>
            </mat-form-field>
        </div>
        <div class="rate-title">
            Slide its rate
        </div>
        <div class="rate-container">
            <mat-slider class="full-width" min="0" max="5" step="0.5" value="1.5" thumbLabel="true" formControlName="rate"></mat-slider>
        </div>
        <div class="cropper-title">
            Select an image
        </div>
        <!--Image Cropper-->
        <div class="cropper-container">
            <input type="file" (change)="fileChangeEvent($event)" />
            <input type="hidden" formControlName="image" [value]="croppedImage" />
            <image-cropper
                    [imageChangedEvent]="imageChangedEvent"
                    [maintainAspectRatio]="true"
                    [aspectRatio]="4 / 3"
                    [resizeToWidth]="128"
                    format="png"
                    (imageCropped)="imageCropped($event)"
                    (imageLoaded)="imageLoaded()"
                    (cropperReady)="cropperReady()"
                    (loadImageFailed)="loadImageFailed()"
            ></image-cropper>
    <!--        <img [src]="croppedImage" />-->
        </div>
        <div class="editor-title">
            Write the receipt
        </div>
        <!-- Rich text editor -->
<!--        <div class="editor-container">-->
<!--            <ejs-richtexteditor-->
<!--                #textEditor-->
<!--                id='iframeRTE'-->
<!--                class="editor"-->
<!--                [toolbarSettings]='tools'-->
<!--                formControlName="content">-->
<!--            </ejs-richtexteditor>-->
<!--        </div>-->
        <mat-form-field class="full-width">
            <textarea matInput
                      #textEditor
                      formControlName="content"
                      cdkTextareaAutosize
                      #autosize="cdkTextareaAutosize"
                      cdkAutosizeMinRows="1"
                      cdkAutosizeMaxRows="5"></textarea>
        </mat-form-field>
        <!-- Card Preview -->
        <div class="preview-title">
            This is how it looks !
        </div>
        <div class="preview-container">
            <app-card [title]="cardForm.get('title').value" [image]="croppedImage" [rate]="cardForm.get('rate').value"></app-card>
        </div>
        <!-- Detail Preview -->
        <div class="preview-detailed-title">
            See the detailed preview
        </div>
        <div class="preview-detailed-container" [innerHTML]="textEditor.value">

        </div>
<!--        {{cardForm.value | json}}-->
<!--        {{croppedImage}}-->
        <div class="creation-button-container">
            <button class="creation-button" [disabled]="disableValidate()" mat-raised-button (click)="createMeal()">Create receipt!</button>
        </div>
    </form>
</div>
